Bug 490764

Summary: devicekit-power / g-p-m don't quite get ac adapter switch right (lenovo 3000 v100)
Product: [Fedora] Fedora Reporter: Adam Williamson <awilliam>
Component: DeviceKit-powerAssignee: Richard Hughes <richard>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 11CC: cra, rhughes, richard, wonghow
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-06-28 07:30:23 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
devkit --monitor log
none
devkit-power --monitor log
none
dmidecode none

Description Adam Williamson 2009-03-17 17:23:44 EDT
Performing the devicekit-power test case from the devicekit test day:

https://fedoraproject.org/wiki/QA/Test_Days/2009-03-17/DeviceKit_power

on my lenovo 3000 v100 - http://www.smolts.org/client/show/pub_83c50393-af40-48b6-ac0b-6affb7801aca - using the live CD ISO for the test day, switching from ac to battery power and back doesn't quite work right.

If you boot with ac, then switch to battery, up to that point all is correct: screen brightness is lowered and g-p-m notifies you of the change.

If you then plug the ac adapter back in, the screen brightness does not return to normal, and g-p-m actually pops up a notification that the battery is discharging, which is obviously not what it should do. However, the g-p-m icon does correctly change state to indicate that the AC adapter is now connected.

The devkit --monitor output indicates that when going from AC to battery, changes show up from both the battery (which indicates that it's now discharging) and the AC adapter. However, when going from battery to AC, no change from the battery shows up - only a change from the AC adapter (to "power_supply_online=1" status). 

The devkit-power --monitor output shows "device changed" lines for both ADP1 and BAT0 at both switches. However, on the ac->battery switch, both lines show up almost instantly (within a quarter second). On the battery->ac switch, it's a second or two before the BAT0 change line shows up, and it shows up at the same time as the g-p-m incorrect "battery is now discharging" message.

Will attach the dmidecode output (in case that's any use...) and sample devkit-power and devkit sessions (both taken at the same time, with me disconnecting the power adapter and then reconnecting it a minute later).
Comment 1 Adam Williamson 2009-03-17 17:28:53 EDT
Created attachment 335606 [details]
devkit --monitor log
Comment 2 Adam Williamson 2009-03-17 17:29:12 EDT
Created attachment 335607 [details]
devkit-power --monitor log
Comment 3 Adam Williamson 2009-03-17 17:29:29 EDT
Created attachment 335608 [details]
dmidecode
Comment 4 Richard Hughes 2009-06-03 05:52:27 EDT
Can you try installing https://admin.fedoraproject.org/updates/F11/FEDORA-2009-5728 and then reboot please. If it fixes things, please report that as positive karma for the update. Thanks.
Comment 5 Adam Williamson 2009-06-03 16:43:51 EDT
Unfortunately I no longer have the system in question (it's been sold :<). I guess all we can do is put it through blind. Sorry.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 6 Bug Zapper 2009-06-09 08:19:34 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 How 2009-06-17 06:11:02 EDT
same problem here popup says discharging when I plug AC in. icon does not give correct reading and update.

Tried the patch FEDORA-2009-5728. did not work
Comment 8 Adam Williamson 2009-06-17 15:15:24 EDT
It's not necessarily the same problem unless you have the same system I did. If your hardware is different, even though the issue looks the same, it may be different and require a different fix. What is your hardware? Did you reboot after installing the updated package?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 9 How 2009-06-17 18:51:19 EDT
It is a HP dv6000 notebook and yes I did reboot. And here is the another bug with the same problem https://bugzilla.redhat.com/show_bug.cgi?id=496418
Is not to do with the brightness in this one but it is to do with AC detection and wrong popups and wrong power readings from icon
Comment 10 Bug Zapper 2010-04-27 09:14:12 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2010-06-28 07:30:23 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.